summaryrefslogtreecommitdiff
path: root/script/update
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2023-09-09 20:15:50 +0100
committerLeah Rowe <leah@libreboot.org>2023-09-09 20:15:50 +0100
commitf03efbc27f074689561a73f3eeac4ae2046d0360 (patch)
tree2d993d70b58c523a99da8ed1cc75bd5fb5f586f2 /script/update
parent20be007f5b7042196647eabc5b6ec9d0d84ac108 (diff)
blobs/inject: add error condition on rm command
this was overlooked, earlier on in lbmk audit 2 Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'script/update')
-rwxr-xr-xscript/update/blobs/inject2
1 files changed, 1 insertions, 1 deletions
diff --git a/script/update/blobs/inject b/script/update/blobs/inject
index abdea964..2cac84ab 100755
--- a/script/update/blobs/inject
+++ b/script/update/blobs/inject
@@ -333,7 +333,7 @@ modify_gbe()
"${ifdtool}" -i GbE:"${_gbe_tmp}" "${rom}" -O "${rom}" || \
err "modify_gbe: ${board}: cannot insert modified gbe.bin"
- rm -f "${_gbe_tmp}"
+ rm -f "${_gbe_tmp}" || err "modify_gbe: can't remove ${_gbe_tmp}"
}
usage()